Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextEdit.LineWrapMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextEdit.LineWrapMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextEdit

    public static final class QTextEdit.LineWrapMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextEdit.LineWrapMode` | `FixedColumnWidth`
`static QTextEdit.LineWrapMode` | `FixedPixelWidth`
`static QTextEdit.LineWrapMode` | `NoWrap`
`static QTextEdit.LineWrapMode` | `WidgetWidth`

Method Summary
`static QTextEdit.LineWrapMode` | `resolve(int value)` Returns the LineWrapMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextEdit.LineWrapMode` | `valueOf(java.lang.String name)`
`static QTextEdit.LineWrapMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoWrap

    public static final QTextEdit.LineWrapMode NoWrap

### WidgetWidth

    public static final QTextEdit.LineWrapMode WidgetWidth

### FixedPixelWidth

    public static final QTextEdit.LineWrapMode FixedPixelWidth

### FixedColumnWidth

    public static final QTextEdit.LineWrapMode FixedColumnWidth

Method Detail

### values

    public static QTextEdit.LineWrapMode[] values()

### valueOf

    public static QTextEdit.LineWrapMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextEdit.LineWrapMode resolve(int value)

  Returns the LineWrapMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD